__gnu_parallel::_LoserTreePointer< __stable, _Tp, _Compare >(3cxx)

NAME
__gnu_parallel::_LoserTreePointer< __stable, _Tp, _Compare > - Stable _LoserTree implementation.

SYNOPSIS

Inherits __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >.

  Public Member Functions

_LoserTreePointer (unsigned int __k, _Compare __comp=std::less< _Tp >())
void __delete_min_insert (const _Tp &__key, bool __sup)
int __get_min_source ()
void __init ()
unsigned int __init_winner (unsigned int __root)
void __insert_start (const _Tp &__key, int __source, bool __sup)

  Protected Attributes

unsigned int _M_ik
unsigned int _M_offset

Detailed Description

  template<bool __stable, typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointer< __stable, _Tp, _Compare >" Stable _LoserTree implementation.

The unstable variant is implemented using partial instantiation below.

Definition at line 409 of file losertree.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.